Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class ClusteringToken.RegistrationTypeCalculator

    java.lang.Object
      oracle.ifs.common.ClusteringToken.RegistrationTypeCalculator

Enclosing class:
  ClusteringToken

    public class ClusteringToken.RegistrationTypeCalculator

extends java.lang.Object

A RegistrationTypeCalculator calcualtes the registration type for a ClusteringToken.

Constructor Summary
`ClusteringToken.RegistrationTypeCalculator()` Construct a RegistrationTypeCalculator.

Method Summary
`int` | `computeRegistrationType(LibrarySession session)` Computes the registration type for the current token in its running context.
`int` | `computeRegistrationTypeFromNodeList(java.lang.String agentId, java.lang.String nodeName, java.lang.String nodeList, java.lang.String[] nodes, int defaultType)` Compute a registration type from the specified information.
`java.lang.String` | `deriveDefaultNodeList(java.lang.String agentId, java.lang.String nodeName, java.lang.String[] nodes)` Derive a node list value, for an undeclared agent ID.
`java.lang.Object[]` | `getDeclaredNodeListInfo(java.lang.String agentId, java.lang.String nodeName, java.lang.String[] entries, java.lang.String[] nodes)` Return the node list information from the matching agent entry in the specified agent entry array, according to the specified agent ID.
`int` | `getDefaultType(java.lang.String agentEntry)` Get the default type to use when the node name is not in the node list.
`java.lang.String` | `parseAgentEntry(java.lang.String agentId, java.lang.String agentEntry)` Parse an agent entry, looking for a match with the specified agent ID, and if it matches, return the node list contained in the entry.
`java.lang.String[]` | `resolveNodeListNames(java.lang.String nodeList, java.lang.String[] declNodes)` Resolve a comma separated list of node names or aliases to an array of resolved node names.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClusteringToken.RegistrationTypeCalculator

    public ClusteringToken.RegistrationTypeCalculator()

  Construct a RegistrationTypeCalculator.

Method Detail

### computeRegistrationType

    public int computeRegistrationType(LibrarySession session)
                                throws IfsException

  Description copied from class: `ClusteringToken.RegistrationTypeCalculator`
  Computes the registration type for the current token in its running context.

  Parameters:
    `session` - the session context
  Returns:
    the registration type to use
  Throws:
    `IfsException` - if the operation fails

### getDeclaredNodeListInfo

    public java.lang.Object[] getDeclaredNodeListInfo(java.lang.String agentId,
                                                      java.lang.String nodeName,
                                                      java.lang.String[] entries,
                                                      java.lang.String[] nodes)

  Description copied from class: `ClusteringToken.RegistrationTypeCalculator`
  Return the node list information from the matching agent entry in the specified agent entry array, according to the specified agent ID.

  The specified agent ID value must not be null. Returns the position of the first match in the agent entry array. Agent entries take the form `agentId : nodeList` or `agentId = nodeList`.

  If there are no declared nodes, the specified node name is returned.

  If no matching declared agent entry, try to use one from the default entries based on the number of declared nodes. If still no match, return null.

  Parameters:
    `agentId` - the agent ID value to check for
    `nodeName` - the node name
    `entries` - the array of agent entires
    `nodes` - the array of declared nodes
  Returns:
    the nodeList info for the matching entry within the array, consisting of the nodeList and the default type, used when the node is not present in the array

### parseAgentEntry

    public java.lang.String parseAgentEntry(java.lang.String agentId,
                                            java.lang.String agentEntry)

  Description copied from class: `ClusteringToken.RegistrationTypeCalculator`
  Parse an agent entry, looking for a match with the specified agent ID, and if it matches, return the node list contained in the entry.

  Parameters:
    `agentId` - the agent ID
    `agentEntry` - the agent entry
  Returns:
    the node list, or null if no match

### getDefaultType

    public int getDefaultType(java.lang.String agentEntry)

  Description copied from class: `ClusteringToken.RegistrationTypeCalculator`
  Get the default type to use when the node name is not in the node list.

  Parameters:
    `agentEntry` - the agent entry; cannot be null
  Returns:
    the node list, or null if no match

### computeRegistrationTypeFromNodeList

    public int computeRegistrationTypeFromNodeList(java.lang.String agentId,
                                                   java.lang.String nodeName,
                                                   java.lang.String nodeList,
                                                   java.lang.String[] nodes,
                                                   int defaultType)

  Description copied from class: `ClusteringToken.RegistrationTypeCalculator`
  Compute a registration type from the specified information.

  The specified agent ID, node name, and node list values must not be null.

  Parameters:
    `agentId` - the agent ID
    `nodeName` - the node name value to check for
    `nodeList` - the node list value
    `nodes` - the array of declared nodes
    `defaultType` - the default type
  Returns:
    the computed registration type

### deriveDefaultNodeList

    public java.lang.String deriveDefaultNodeList(java.lang.String agentId,
                                                  java.lang.String nodeName,
                                                  java.lang.String[] nodes)

  Description copied from class: `ClusteringToken.RegistrationTypeCalculator`
  Derive a node list value, for an undeclared agent ID.

  The specified agent ID and node name values must not be null.

  Parameters:
    `agentId` - the agent ID
    `nodeName` - the node name value to check for
    `nodes` - the array of declared nodes
  Returns:
    the derived node list value for this agent ID

### resolveNodeListNames

    public java.lang.String[] resolveNodeListNames(java.lang.String nodeList,
                                                   java.lang.String[] declNodes)

  Description copied from class: `ClusteringToken.RegistrationTypeCalculator`
  Resolve a comma separated list of node names or aliases to an array of resolved node names.

  The specified nodeList may contain either absolute node names or "aliases" in the form $$NODEx, which are a reference to an elements of the declared array of node names.

  Parameters:
    `nodeList` - the node list value
    `declNodes` - the array of declared nodes
  Returns:
    the resolved set of names from the node list

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD